.\"	$NetBSD: ex.4,v 1.11 2003/04/06 19:33:58 wiz Exp $
.\"
.\" Copyright (c) 1986, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)ex.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt EX 4 vax
.Os
.Sh NAME
.Nm ex
.Nd Excelan 10 Mb/s Ethernet interface
.Sh SYNOPSIS
.Cd "ex0 at uba0 csr 164000 vector excdint"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
The
.Nm ex
interface provides access to a 10 Mb/s Ethernet network through
an Excelan controller used as a link-layer interface.
.Pp
Each of the host's network addresses
is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm ex
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the local
network.
.Pp
The interface normally tries to use a
.Dq trailer
encapsulation
to minimize copying data on input and output.
The use of trailers is negotiated with
.Tn ARP .
This negotiation may be disabled, on a per-interface basis,
by setting the
.Dv IFF_NOTRAILERS
flag with an
.Dv SIOCSIFFLAGS
.Xr ioctl 2 .
.Sh DIAGNOSTICS
.Bl -diag
.It "ex%d: HW %c.%c, NX %c.%c, hardware address %s."
This provides firmware revisions levels, and is expected during
autoconfiguration.
.Pp
.It ex%d: can't initialize.
There was a failure in allocating UNIBUS resources for the device.
.Pp
.It "ex%d: configuration failed; cc = %x."
The hardware indicated an error when trying to initialize itself.
The error code returned is described at length in the device
Reference Manual.
.Pp
.It ex%d: receive error %b.
The hardware indicated an error
in reading a packet from the cable.
Specific Error bits are provided
.Pp
.It ex%d: transmit error %b.
The hardware indicated an error
in transmitting a packet to the cable or an illegally sized packet.
Specific Error bits are provided
.Pp
.It ex%d: can't handle af%d.
The interface was handed
a message with addresses formatted in an unsuitable address
family; the packet was dropped.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr inet 4 ,
.Xr netintro 4
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.3 .
